#include "xcbrushside.h"

XCBrushSide::XCBrushSide()
    : XAsset()
    , mPlanePtr(0)
    , mPlane()
    , mMaterialNum(0)
    , mFirstAdjacentSideOffset(0)
    , mEdgeCount(0)
{
    
}

XCBrushSide::~XCBrushSide()
{
    
}

void XCBrushSide::ParseData(QDataStream *aStream)
{
    
}

void XCBrushSide::Clear()
{
    mPlanePtr = 0;
    mPlane = XCPlane();
    mMaterialNum = 0;
    mFirstAdjacentSideOffset = 0;
    mEdgeCount = 0;
}
